# -*- rpm-spec -*-
# $Id: kernel-fix-drivers-atm.spec,v 1.2 2003/10/19 18:02:22 vsu Exp $
#

%define patch_name	kernel-fix-drivers-atm

Name: %patch_name
Version: 2003.10.19
Release: alt1

Summary: %patch_name - Linux kernel ATM drivers fixes
License: GPL
Group: Development/Other
Packager: Kernel Maintainers Team <kernel@packages.altlinux.org>
BuildArch: noarch

%source  0	00_he-pci_pool_create.patch

# http://linux.bkbits.net:8080/linux-2.4/diffs/drivers/atm/he.c@1.4?nav=index.html|src/|src/include|src/include/linux|related/include/linux/interrupt.h|cset@1.1063.11.16
%source  1	01_irqreturn_t-compat.patch

BuildPreReq: kernel-build-tools

%description
Linux kernel ATM drivers fixes

%install

%install_patches

%files
%_usrsrc/*

%changelog
* Sun Oct 19 2003 Sergey Vlasov <vsu@altlinux.ru> 2003.10.19-alt1
- Added 01_irqreturn_t-compat.patch - compatibility with irqreturn_t stub
  introduced in 2.4.23-pre1.

* Wed Sep 24 2003 Sergey Vlasov <vsu@altlinux.ru> 2003.09.24-alt1
- Initial release
- 00_he-pci_pool_create.patch - fixes unresolved symbols in he.c

